This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1460593 - Later version of pyasn1 needed by pysnmp
Later version of pyasn1 needed by pysnmp
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: pysnmp (Show other bugs)
24
All Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Fabian Affolter
Fedora Extras Quality Assurance
: Reopened
Depends On: 1145004
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-12 02:38 EDT by Jan ONDREJ
Modified: 2017-08-08 15:50 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1145004
Environment:
Last Closed: 2017-08-08 15:50:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan ONDREJ 2017-06-12 02:38:39 EDT
Same problem for Fedora 24:

python2-pysnmp-4.3.7-1.fc24.noarch
python2-pyasn1-0.1.9-6.fc24.1.noarch

Steps to reproduce:

1. python
2. from pysnmp.proto.rfc1902 import *

Please, can you push update shortly?

Thank you.

+++ This bug was initially created as a clone of Bug #1145004 +++

Description of problem:

Trying to import cmdgen from pysnmp.entity.rfc3413.oneliner fails because the version of pyasn1 shipped with RHEL6 is too old. The code that it requires, pyasn1.compat.octets, was introduced in version 0.1.1 of pyasn1.

Version-Release number of selected component (if applicable):

pysnmp-4.2.4-1.el6.noarch.rpm
python-pyasn1-0.0.12a-1.el6.noarch.rpm

How reproducible:


Steps to Reproduce:
1. start python in RHEL6 with pysnmp installed
2. from pysnmp.entity.rfc3413.oneliner import cmdgen

Actual results:

  File "/p4/vxtest/framework/vxtf/netmodel/machine_apps/snmp.py", line 12, in <module>
    from pysnmp.entity.rfc3413.oneliner import cmdgen
  File "/usr/lib/python2.6/site-packages/pysnmp/entity/rfc3413/oneliner/cmdgen.py", line 1, in <module>
    from pysnmp.entity import engine, config
  File "/usr/lib/python2.6/site-packages/pysnmp/entity/engine.py", line 2, in <module>
    from pysnmp.proto.rfc3412 import MsgAndPduDispatcher
  File "/usr/lib/python2.6/site-packages/pysnmp/proto/rfc3412.py", line 3, in <module>
    from pyasn1.compat.octets import null
ImportError: No module named compat.octets

Expected results:


Additional info:

--- Additional comment from Fedora Update System on 2014-09-23 12:33:21 CEST ---

pysnmp-4.2.5-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/pysnmp-4.2.5-2.el6

--- Additional comment from Fedora Update System on 2014-09-23 12:59:36 CEST ---

pysnmp-4.2.5-2.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/pysnmp-4.2.5-2.el7

--- Additional comment from Fedora Update System on 2014-09-25 02:19:32 CEST ---

Package pysnmp-4.2.5-2.el7:
* should fix your issue,
* was pushed to the Fedora EPEL 7 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing pysnmp-4.2.5-2.el7'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-2831/pysnmp-4.2.5-2.el7
then log in and leave karma (feedback).

--- Additional comment from Felix Kaiser on 2014-10-12 14:54:39 CEST ---

It still doesn't work on EPEL 6.

$ yum info pysnmp (shortened)
Name        : pysnmp
Version     : 4.2.5
Release     : 2.el6
From repo   : epel-testing

$ yum info python-pyasn1  (shortened)
Name        : python-pyasn1
Version     : 0.0.12a
Release     : 1.el6
From repo   : base

$ cat /etc/centos-release 
CentOS release 6.5 (Final)

$ python2 -c "from pysnmp.entity.rfc3413.oneliner import cmdgen"
Traceback (most recent call last):
  File "<string>", line 1, in <module>
  File "/usr/lib/python2.6/site-packages/pysnmp/entity/rfc3413/oneliner/cmdgen.py", line 1, in <module>
    from pysnmp.entity import engine, config
  File "/usr/lib/python2.6/site-packages/pysnmp/entity/engine.py", line 2, in <module>
    from pysnmp.proto.rfc3412 import MsgAndPduDispatcher
  File "/usr/lib/python2.6/site-packages/pysnmp/proto/rfc3412.py", line 3, in <module>
    from pyasn1.compat.octets import null
ImportError: No module named compat.octets

--- Additional comment from Fedora Update System on 2014-10-20 17:40:29 CEST ---

pysnmp-4.2.5-2.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.

--- Additional comment from Felix Kaiser on 2014-10-20 18:06:07 CEST ---

The problem hasn't been fixed on EPEL 6.

--- Additional comment from Fedora Update System on 2015-10-18 05:24:01 CEST ---

pysnmp-4.2.5-2.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

--- Additional comment from Andreas Johansson on 2015-11-27 16:21:30 CET ---

I can still reproduce this problem, shown here using the same one-liner as previously in this bug. (My real use case is a Munin plugin that imports the same module.)

$ rpm -q pysnmp
pysnmp-4.2.5-2.el6.noarch

$ rpm -q python-pyasn1
python-pyasn1-0.0.12a-1.el6.noarch

$ cat /etc/centos-release 
CentOS release 6.7 (Final)

$ python -c "from pysnmp.entity.rfc3413.oneliner import cmdgen"
Traceback (most recent call last):
  File "<string>", line 1, in <module>
  File "/usr/lib/python2.6/site-packages/pysnmp/entity/rfc3413/oneliner/cmdgen.py", line 1, in <module>
    from pysnmp.entity import engine, config
  File "/usr/lib/python2.6/site-packages/pysnmp/entity/engine.py", line 2, in <module>
    from pysnmp.proto.rfc3412 import MsgAndPduDispatcher
  File "/usr/lib/python2.6/site-packages/pysnmp/proto/rfc3412.py", line 3, in <module>
    from pyasn1.compat.octets import null
ImportError: No module named compat.octets

--- Additional comment from Fedora Update System on 2016-01-28 13:55:34 CET ---

pysnmp-4.3.1-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-7d4fb5ec3c

--- Additional comment from Fedora Update System on 2016-01-28 13:59:47 CET ---

pysnmp-4.3.1-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-05e4360b60

--- Additional comment from Fedora Update System on 2016-01-29 02:52:49 CET ---

pysnmp-4.3.1-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-7d4fb5ec3c

--- Additional comment from Fedora Update System on 2016-01-29 07:54:11 CET ---

pysnmp-4.3.1-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-05e4360b60

--- Additional comment from Tomas M on 2016-02-03 15:37:34 CET ---

I can still reproduce in Centos 6.6.

$ cat /etc/centos-release
CentOS release 6.6 (Final)
$ rpm -q python-pyasn1
python-pyasn1-0.0.12a-1.el6.noarch
$ rpm -q pysnmp
pysnmp-4.2.5-2.el6.noarch
$ python -c "from pysnmp.entity.rfc3413.oneliner import cmdgen"
Traceback (most recent call last):
  File "<string>", line 1, in <module>
  File "pysnmp/entity/rfc3413/oneliner/cmdgen.py", line 1, in <module>
    from pysnmp.entity import engine, config
  File "pysnmp/entity/engine.py", line 2, in <module>
    from pysnmp.proto.rfc3412 import MsgAndPduDispatcher
  File "pysnmp/proto/rfc3412.py", line 3, in <module>
    from pyasn1.compat.octets import null
$

--- Additional comment from a.beaugy on 2016-11-04 08:08:24 CET ---

Dear all,

Same here, we are also stuck with the same error on CentOS 6.5.

In order to illustrate I will reuse "Tomas M" Python CLI sample. Nevertheless, the same error (ImportError: No module named compat.octets) appears in our project.

  $ cat /etc/centos-release
  CentOS release 6.5 (Final)
  $ rpm -q python-pyasn1
  python-pyasn1-0.0.12a-1.el6.noarch
  $ rpm -q pysnmp
  pysnmp-4.2.5-2.el6.noarch
  $ python -c "from pysnmp.entity.rfc3413.oneliner import cmdgen"
  Traceback (most recent call last):
    File "<string>", line 1, in <module>
    File "/usr/lib/python2.6/site-packages/pysnmp/entity/rfc3413/oneliner/cmdgen.py", line 1, in <module>
      from pysnmp.entity import engine, config
    File "/usr/lib/python2.6/site-packages/pysnmp/entity/engine.py", line 2, in <module>
      from pysnmp.proto.rfc3412 import MsgAndPduDispatcher
    File "/usr/lib/python2.6/site-packages/pysnmp/proto/rfc3412.py", line 3, in <module>
      from pyasn1.compat.octets import null
  ImportError: No module named compat.octets
  $

Regards,

--- Additional comment from Fedora Update System on 2017-05-11 15:04:05 CEST ---

pysnmp-4.3.5-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-e15010ac65

--- Additional comment from Fedora Update System on 2017-05-11 15:04:30 CEST ---

pysnmp-4.3.5-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-764ca2d3fc

--- Additional comment from Fedora Update System on 2017-05-12 15:36:52 CEST ---

pysnmp-4.3.5-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-e15010ac65

--- Additional comment from Fedora Update System on 2017-05-13 03:11:17 CEST ---

pysnmp-4.3.5-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-764ca2d3fc

--- Additional comment from Fedora Update System on 2017-05-27 05:00:32 CEST ---

pysnmp-4.3.5-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

--- Additional comment from Fedora Update System on 2017-06-09 20:54:06 CEST ---

pysnmp-4.3.5-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.
Comment 1 Fedora End Of Life 2017-07-25 20:25:14 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2017-08-08 15:50:24 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.